Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-16751

Not possible to install feature camel-salesforce

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Blocker
    • Resolution: Done
    • fuse-7.9-GA
    • fuse-7.9-GA
    • Fuse Standalone, Karaf
    • None

    Description

      Exception thrown for feature:install camel-salesforce:

      org.apache.felix.resolver.reason.ReasonException: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=camel-salesforce; type=karaf.feature; version="[2.23.2.fuse-790046-redhat-00001,2.23.2.fuse-790046-redhat-00001]"; filter:="(&(osgi.identity=camel-salesforce)(type=karaf.feature)(version>=2.23.2.fuse-790046-redhat-00001)(version<=2.23.2.fuse-790046-redhat-00001))" [caused by: Unable to resolve camel-salesforce/2.23.2.fuse-790046-redhat-00001: missing requirement [camel-salesforce/2.23.2.fuse-790046-redhat-00001] osgi.identity; osgi.identity=org.apache.camel.camel-salesforce; type=osgi.bundle; version="[2.23.2.fuse-790046-redhat-00001,2.23.2.fuse-790046-redhat-00001]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-salesforce/2.23.2.fuse-790046-redhat-00001: missing requirement [org.apache.camel.camel-salesforce/2.23.2.fuse-790046-redhat-00001] osgi.wiring.package; filter:="(&(osgi.wiring.package=com.fasterxml.jackson.module.jsonSchema.types)(version>=2.12.0)(!(version>=3.0.0)))" [caused by: Unable to resolve com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1: missing requirement [com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1] osgi.wiring.package; filter:="(&(osgi.wiring.package=javax.validation.constraints)(version>=1.1.0)(!(version>=2.0.0)))"]]]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	at org.apache.felix.resolver.ResolverImpl.doResolve(ResolverImpl.java:392) ~[?:?]
      	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:378) ~[?:?]
      	at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:332) ~[?:?]
      	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:257) ~[?:?]
      	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:401) ~[?:?]
      	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1063) ~[?:?]
      	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:998) ~[?:?]
      	at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:1.8.0_282]
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) ~[?:1.8.0_282]
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) ~[?:1.8.0_282]
      	at java.lang.Thread.run(Thread.java:748) [?:1.8.0_282]
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve camel-salesforce/2.23.2.fuse-790046-redhat-00001: missing requirement [camel-salesforce/2.23.2.fuse-790046-redhat-00001] osgi.identity; osgi.identity=org.apache.camel.camel-salesforce; type=osgi.bundle; version="[2.23.2.fuse-790046-redhat-00001,2.23.2.fuse-790046-redhat-00001]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-salesforce/2.23.2.fuse-790046-redhat-00001: missing requirement [org.apache.camel.camel-salesforce/2.23.2.fuse-790046-redhat-00001] osgi.wiring.package; filter:="(&(osgi.wiring.package=com.fasterxml.jackson.module.jsonSchema.types)(version>=2.12.0)(!(version>=3.0.0)))" [caused by: Unable to resolve com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1: missing requirement [com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1] osgi.wiring.package; filter:="(&(osgi.wiring.package=javax.validation.constraints)(version>=1.1.0)(!(version>=2.0.0)))"]]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	... 12 more
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve org.apache.camel.camel-salesforce/2.23.2.fuse-790046-redhat-00001: missing requirement [org.apache.camel.camel-salesforce/2.23.2.fuse-790046-redhat-00001] osgi.wiring.package; filter:="(&(osgi.wiring.package=com.fasterxml.jackson.module.jsonSchema.types)(version>=2.12.0)(!(version>=3.0.0)))" [caused by: Unable to resolve com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1: missing requirement [com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1] osgi.wiring.package; filter:="(&(osgi.wiring.package=javax.validation.constraints)(version>=1.1.0)(!(version>=2.0.0)))"]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	... 12 more
      Caused by: org.apache.felix.resolver.reason.ReasonException: Unable to resolve com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1: missing requirement [com.fasterxml.jackson.module.jackson-module-jsonSchema/2.12.1] osgi.wiring.package; filter:="(&(osgi.wiring.package=javax.validation.constraints)(version>=1.1.0)(!(version>=2.0.0)))"
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	at org.apache.felix.resolver.Candidates$MissingRequirementError.toException(Candidates.java:1343) ~[?:?]
      	... 12 more
      

      Attachments

        Issue Links

          Activity

            People

              ggrzybek Grzegorz Grzybek
              rhn-support-ppinkas Petr Pinkas
              Vratislav Hais
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: